Bug 21024 - anaconda error during install, KeyError: LPRng
Summary: anaconda error during install, KeyError: LPRng
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-17 17:50 UTC by GekkeHond
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-17 20:31:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description GekkeHond 2000-11-17 17:50:50 UTC
I was attempting to install linux 7.0 from my harddisk.
I downloaded all the files seperatly using the binary mode in my ftp 
client.
Created a bootdisk and started to install...
Then when he was reading the packages Anaconda wasn't happy anymore. This 
is what he said:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in 

__call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: LPRng

Local variables in innermost frame:
self: <comps.HeaderList instance at 8230cc8>
item: LPRng

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>

The harddisk I was reading from was a FAT32 with win2000 on it.
And a free harddisk was my target for installing linux. I tried different 
options for partitionating and all ended in the same result. Any 
suggestions?

Comment 1 Michael Fulbright 2000-11-17 20:31:44 UTC
This usually happens when the files are corrupted in some way. You need to make
sure you have downloaded all of the files in a binary safe way.

Comment 2 GekkeHond 2000-11-19 23:25:44 UTC
Do I really have to download all the files again, is there no way of telling 
where it went wrong and what files to re-download?


Note You need to log in before you can comment on or make changes to this bug.